Subject: Re: bug#27036: 25.1; Blocking call to accept-process-output with quit inhibited!!

From: Dmitry Gutov <[email-masked]>
Date: Wed, 24 May 2017 21:17:15 +0300

On 5/24/17 9:01 PM, Eli Zaretskii wrote:

>>>     Blocking call to accept-process-output with quit inhibited!!
>>
>> I can see it here.
> 
> "See" meaning you can reproduce the hang?

Yes:

1. Install Octave.
2. emacs -Q
3. M-x run-octave
4. Switch to octave-mode in the scratch, delete everything.
5. Type 'abs ', wait. See that message.

I don't see any freezing, though.

Only see this message once (repeated twice, though) in an 'emacs -Q' 
session, but in my normal session I can repeat it at will by deleting 's 
' and typing them again.

>> It's pretty weird, though. Neither octave.el not comint.el reference
>> inhibit-quit.
> 
> According to description, Francesco was editing while
> inferior-octave-mode was doing something in the background, so it's
> possible that some foreground code just happened to bind inhibit-quit
> at the wrong moment.

Indeed, but what foreground code? The major mode is octave-mode.